QGIS Application - Bug report #10132
SVG markers aren't rendered properly when exported through QGIS composer
2014-04-29 03:55 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18591
Description

SVG markers aren't rendered properly when exported through QGIS composer, failing to take into account the DPI values to scale the
size accordingly.

Steps to reproduce:

1. Create a new project, and a new point memory layer to which you add a single point in the middle of your canvas

2. Open the symbology panel of the memory layer, and set it so it contains two layers: a svg marker layer on top of a simple marker layer
with the following settings:

- SVG marker should have its size set to 150 MM, and use any SVG icon (I like the sea ship)

- Simple marker should have its size also set to 150MM

3. Create a new composer, and insert a map item

4. Export the sheet to an image

5. Open the image, and note the SVG marker is rendered too small (as it can be confirmed looking at the wrong relative proportion with
the underlying simple marker, the latter rendering properly)

See attached screenshot. This also affects centroid fill SVG markers.

Associated revisions

Revision 4f9c8c1d - 2014-05-01 08:50 PM - Martin Dobias

Fix #10132 (wrong size of SVG markers in composer export)

History

#1 - 2014-04-29 04:00 AM - Mathieu Pellerin - nIRV

- Subject changed from SVG markers aren to SVG markers aren't rendered properly when exported through QGIS composer
- Affected QGIS version changed from 2.2.0 to master

- Target version set to Future Release - High Priority

- Priority changed from Normal to Severe/Regression

- Category set to Symbology

#2 - 2014-04-29 04:02 AM - Mathieu Pellerin - nIRV
- File qgis_composer-VS-exported_image.png added

#3 - 2014-05-01 12:05 AM - Mathieu Pellerin - nIRV

- Tag set to MTR
- Assignee set to Martin Dobias
I've just verified the issue was not present on QGIS 2.2, so this must be a MTR regression. Flagging this a such and assigning to Martin.

#4 - 2014-05-01 12:46 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"4f9c8c1dee684c029d6d800cd45d90e1f9d7ae7d".
